* {
  box-sizing: border-box;
/*   padding: 0;
  margin: 0; */
}

:root {
  --font-family: "Jost", sans-serif;

  --black: #0A0A0A;
  --white: #E2E2E2;
  --accent: #D8AD98;
  --accent-white: #7C4213;
}

body {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  background-color: var(--black);
  color: var(--white);
  height: 100%;
}

.container {
  max-width: 1300px;
  padding: 0 10px;
  margin: 0 auto;
}

img {
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

.header {
  padding: 10px 0;
  background-color: var(--black);
}

.header__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}

.btn {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  color: var(--black);
  border: none;
  border-radius: 12px;
  background-color: var(--accent);
  padding: 16px;
  cursor: pointer;
  transition: background-color .2s ease, border-radius .2s ease;
}

.hero {
  margin-bottom: clamp(30px, 3vw, 60px);
}
.hero__slider {
  position: relative;
}

.hero__swiper {
  border-radius: 8px;
}

.hero__slider-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 3;
}

.hero__slide-img {
  border-radius: 8px;
  position: relative;
  overflow: hidden;
  padding: 25%;
  height: 100%;
  & img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
  }
}


.hero__swiper {
  height: 100%;
}

.hero__slide {
  height: 100%;
}

.hero__container {
  display: grid;
  grid-template-columns: 430px 1fr;
  gap: 20px;
}

@media(max-width: 992px) {
  .hero__container {
    grid-template-columns: 1fr;
  }
}

.hero__content {
  border-radius: 20px;
  padding: 40px 25px;
  display: flex;
  flex-direction: column;
  background: url('../images/img-hero.webp') center / cover no-repeat;
  position: relative;
}

@media(max-width: 768px) {
  .hero__content {
    padding: 30px 15px;
  }
}

.hero__content:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(30, 30, 30, 0.7);
}

.hero__title {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: clamp(24px, 3vw, 32px);
  line-height: 112%;
  color: #fff;
  margin-bottom: 30px;
  position: relative;
  z-index: 1;
}

.hero__desc {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 171%;
  color: #fff;
  margin-bottom: 40px;
  position: relative;
  z-index: 1;
}

.hero__btn {
  position: relative;
  z-index: 1;
}

.hero__slider {
  min-width: 0;
}

.hero__contacts {
  /* position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 20px;
  z-index: 3; */
  margin-top: 40px;
  border-radius: 20px;
  background: rgba(30, 30, 30, 0.9);
  padding: 40px 20px;
  max-width: 100%;
  width: 100%;
  backdrop-filter: blur(5px);
}

.hero__contacts-title {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: clamp(18px, 2vw, 24px);
  color: var(--white);
  margin-bottom: 30px;
}

.hero__contacts-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 15px;
  margin-bottom: 30px;
}

@media(max-width: 992px) {
  .hero__contacts-list {
    grid-template-columns: 1fr 1fr;
  }
}

@media(max-width: 768px) {
  .hero__contacts-list {
    grid-template-columns: 1fr;
  }
}

.hero__contacts-link {
  display: flex;
  align-items: center;
  gap: 10px;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: clamp(14px, 2vw, 18px);
  color: var(--white);
  text-decoration: none;
  transition: .3s ease;
  span {
    font-family: inherit;
    font-size: inherit;
    color: inherit;
  }
}

@media(any-hover: hover) {
  .hero__contacts-link:hover {
    opacity: 0.8;
  }
}

@media(max-width: 768px) {
  .hero__slide-img {
    padding: 70%;
  }
  .hero__contacts {
    max-width: 320px;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

/* --------------- MENU --------------- */

.menu__title {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 36px;
  color: var(--white);
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 25px;
}


.menu__list {
  list-style: none;
  padding: 0;
  margin: 0;
  max-width: 1120px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  margin: 0 auto;
  margin-bottom: 40px;
  flex-wrap: wrap;
}

.menu__item {
  flex: 1 1 200px;
}

.menu__btn {
  width: 100%;
}

@media(max-width: 1140px) {
  .menu__list {
    justify-content: stretch;
  }
}

@media(max-width: 768px) {
	.menu__list {
		display: grid;
		grid-template-columns: 1fr 1fr;
	}
	
  
}


.menu__slide-img {
  margin-bottom: 10px;
  position: relative;
  padding: 50%;
  cursor: pointer;
  display: block;
  outline: none !important;
}

.menu__slide {
  display: flex;
  flex-direction: column;
  height: auto !important;
}

.menu__slide-img img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 20px;
}


.menu__btn {
  background-color: transparent;
  border: 1px solid var(--white);
  border-radius: 20px;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 125%;
  color: var(--white);
  padding: 10px 40px;
  cursor: pointer;
  transition: all .2s ease;
}

.menu__btn.active {
  background-color: var(--accent);
  border-color: var(--accent);
  color: var(--black);
}

.menu__slide-content {
  background: rgba(30, 30, 30, 0.7);
  padding: 13px 16px;
  border-radius: 18px;
  /* height: 100%; */
  position: absolute;
  /* bottom: 20px;
  left: 20px;
  right: 20px; */
  bottom: 10px;
  left: 0;
  width: 100%;
}

.menu__slide-content .name {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: clamp(16px, 2vw, 18px);
  color: var(--white);
  margin-bottom: 10px;
}


.menu__slide-content .desc {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 143%;
  color: var(--white);
  margin-bottom: 10px;
}

.menu__slide-content .info {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: clamp(16px, 2vw, 18px);
  color: var(--white);
}

.fancybox__content img {
  border-radius: 10px;
}

.footer {
  padding: 40px;
  border-top: 1px solid rgba(255,255,255,.2);
  margin-top: 60px;
}

.footer__container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu__slider {
  position: relative;
}

.menu__slider-nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 100%;
  width: 100%;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.menu__swiper {
  max-width: 93%;
}

.menu__slider-btn {
  cursor: pointer;
  transition: .3s ease;
}

.menu__cat {
  display: none;
}

.menu__cat.active {
  display: block;
}


.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,.8);
  backdrop-filter: blur(5px);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  z-index: 9999999999;
  opacity: 0;
  visibility: hidden;
  transition: .2s ease;
}

.modal--active {
  opacity: 1;
  visibility: visible;
}

.modal__container {
  max-width: 320px;
  width: 100%;
  padding: 40px 20px; 
  position: relative;
  border-radius: 18px;
  background-color: #212121;
}

.modal__close {
  position: absolute;
  top: 20px;
  right: 20px;
  cursor: pointer;
}

.modal__close svg {
  pointer-events: none;
}

.modal__title {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 18px;
  color: var(--white);
  margin-bottom: 18px;
}

.form-default {
  display: flex;
  flex-direction: column;
  gap: 9px;
}
.form-default__input {
  background-color: transparent;
  border: 1px solid rgba(255,255,255,.5);
  border-radius: 6px;
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  color: rgba(255, 255, 255, 0.6);
  width: 100%;
  padding: 10px 17px;
}

.swiper-button-disabled {
  opacity: 0.1;
  pointer-events: none;
}


@media(max-width: 768px) {
  .menu__swiper {
    max-width: 100%;
  }
  .menu__slider-nav {
    z-index: 3;
  }
  .hero__contacts {
    position: static;
    max-width: 100%;
    margin-top: 20px;
    transform: translate(0);
  }
}


@media(any-hover: hover) {
  .btn:hover {
    background-color: var(--accent-white);
    color: var(--white);
    border-radius: 8px;
  }

  .menu__btn:hover {
    background-color: var(--accent);
    border-color: var(--accent)
  }
  .menu__slider-btn:hover {
    opacity: 0.6;
  }
}


.whatsapp {
  position: fixed;
  z-index: 999;
  bottom: 50px;
  right: 50px;
}
@media (max-width: 768px) {
  .whatsapp {
    bottom: 25px;
    right: 25px;
  }
}
.whatsapp__pulse {
  position: relative;
  text-align: center;
  border-radius: 50%;
  background: #D8AD98;
  width: 70px;
  height: 70px;
}
.whatsapp__pulse:before {
  content: "";
  position: absolute;
  border: 1px solid #D8AD98;
  left: -20px;
  opacity: 0;
  right: -20px;
  top: -20px;
  bottom: -20px;
  border-radius: 50%;
  -webkit-animation: pulse 2.5s linear infinite;
          animation: pulse 2.5s linear infinite;
}
.whatsapp__pulse:after {
  content: "";
  position: absolute;
  border: 1px solid #D8AD98;
  left: -15px;
  opacity: 0;
  right: -15px;
  top: -15px;
  bottom: -15px;
  border-radius: 50%;
  -webkit-animation: pulse 2.5s linear infinite;
          animation: pulse 2.5s linear infinite;
}
.whatsapp__pulse span {
  display: block;
  width: 70px;
  height: 70px;
  background: url("../images/icons8-phone.gif") center center no-repeat;
  position: relative;
  z-index: 99999;
  cursor: pointer;
  background-position: 15px center;
}

.whatsapp__pulse:after {
  -webkit-animation-delay: 1.25s;
          animation-delay: 1.25s;
}

@-webkit-keyframes pulse {
  0% {
    -webkit-transform: scale(0.5);
            transform: scale(0.5);
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    opacity: 0;
  }
}

@keyframes pulse {
  0% {
    -webkit-transform: scale(0.5);
            transform: scale(0.5);
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    opacity: 0;
  }
}

.other-social {
	position: absolute;
	top: 0;
	left: 0;
	z-index: -2
}

.other-social__link {
	position: absolute;
	top: 10px;
	left: 11px;
	transition: top .3s ease;
}
.other-social__tel-active {
	top: -60px;
}

.other-social__whatsapp-active {
	top: -120px;
}

.marq_block {
    position: fixed;
    bottom: 10px;
    left: 10px;
}

.form-default {
  position: relative;
  gap: 15px;
}
.form-default .btn {
  width: 100%;
}

.wpcf7-spinner {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}

.flare-btn {
  position: relative;
  overflow: hidden;
}

.flare-btn:before {
  content: '';
  position: absolute;
  background: linear-gradient(90deg, rgba(255, 255, 255, .1), rgba(255, 255, 255, .4));
  width: 40px;
  height: 110%;
  top: 0;
  left: -30%;
  transform: skewX(-45deg);
  animation: flare 2s linear infinite;
}

@keyframes flare {
  0% {
      left: -150%
  }

  100% {
      left: 150%
  }
}


.hero-mobile {
	display: none;
	margin: 40px 0;
}

@media(max-width: 640px) {
	.hero-mobile {
		display: block;
	}
	.hero .hero__content {
		display: none;
	}
	.menu__btn {
		padding: 10px;
		font-size: 14px;
	}
}

.form-default__row p {
	margin: 0;
}

.wpcf7-list-item-label {
	font-size: 12px;
	color: #fff;
}

.wpcf7-list-item-label a {
	color: #fff;
}